
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>关于ASP.NET页面动态添加控件的总结 / iVAN</title>

    <meta name="description" content="关于ASP.NET页面动态添加控件的总结 asp.net|动态|控件|页面 最开始的方式:     protected void Page_Load(object sender, EventArgs e)    {       if(!IsPostBack)       {       string ctr = &quot;&lt;asp:TextBox runat='server' ID='haha' text='Button' /&gt;&quot;;        Control ctrl = Page.ParseControl( ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">关于ASP.NET页面动态添加控件的总结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net|动态|控件|页面</p>
<p>最开始的方式：</p>
<p>    protected void Page_Load(object sender, EventArgs e)<br />    {<br />       if(!IsPostBack)<br />       {<br />       string ctr = "&lt;asp:TextBox runat='server' ID='haha' text='Button' /&gt;";<br />        Control ctrl = Page.ParseControl(ctr);<br />        PlaceHolder1.Controls.Add(ctrl);<br />        }<br />    } </p>
<p>添加控件成功，但是当客户端回发时，上面写法会导致新增加的控件不见了。当然如果去掉IsPostBack控件不会消失，但是每次客户端回发时都添加控件明显会造成不必要的资源浪费。如何解决呢？</p>
<p>需要看一下Page的生存周期。这里只讲一下我们需要的，不需要的大家自己看一下（推荐本书吧《ASP.NET2.0技术内幕》，姊妹篇《ASP.NET2.0高级编程》）</p>
<p>PreInit--&gt;Init-InitComplete-&gt;Load.........</p>
<p>PreInit在页初始化开始时发生。<br />Init当服务器控件初始化时发生；初始化是控件生存期的第一步。<br />InitComplete在页初始化完成时发生。<br />Load当服务器控件加载到 Page 对象中时发生。 </p>
<p>好了，我们可以继续我们的行动了<br /> protected void Page_Init(object sernder, EventArgs e)<br />    {<br />        string ctr = "&lt;asp:TextBox runat='server' ID='haha' text='Button' /&gt;";<br />        Control ctrl = Page.ParseControl(ctr);<br />        PlaceHolder1.Controls.Add(ctrl);<br />    }</p>
<p>OK。</p>
<p>自己测试一下吧。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 07:56:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ctrl/" title="ctrl">ctrl</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e4%bb%b6/" title="控件">控件</a>, <a href="https://www.iamivan.net/tag/page/" title="page">page</a>, <a href="https://www.iamivan.net/tag/placeholder/" title="placeholder">placeholder</a>, <a href="https://www.iamivan.net/tag/ispostback/" title="ispostback">ispostback</a>, <a href="https://www.iamivan.net/tag/asp-net-ispostback/" title="asp&period;net ispostback">asp&period;net ispostback</a>, <a href="https://www.iamivan.net/tag/placeholder%e7%82%b9%e5%87%bb%e6%b6%88%e5%a4%b1/" title="placeholder点击消失">placeholder点击消失</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>关于ASP.NET页面动态添加控件的总结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLooOM.html" rel="bookmark">listview-怎么动态添加控件？？？？？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 怎么动态添加控件????? 给listview里面动态添加textview并给与之对应的textview设置点击事件 解决方案 最近看到很多问题都是关于页面动态添加控件,页面postback以后,就取不到这些控件了.其实每次在页面上动态添加控件(或者在数据控件上动态添加 列),它们的状态是不会被添加到页面的ViewState中去的,所以每次回送回来,它们就消失了,程序员只能手动把这些控件再次添加到页面上来,才会还 原它们的状态.? MSDN上提供了一种参考的方式,override页面的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boOJqjb.html" rel="bookmark">asp&period;NET的这个系统的treeview点击后出现的不同模块不同控件，是怎么实现的，是不是通过动态添加控件，可是动态添加控件怎么设置控件的后台代码呢？？？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.NET的这个系统的treeview点击后出现的不同模块不同控件,是怎么实现的,是不是通过动态添加控件,可是动态添加控件怎么设置控件的后台代码呢??? 解决方案 解决方案二:把10几年前的这个最基本的入门教程()中的例子全都做一遍,然后再问.解决方案三:引用1楼sp1234的回复: 把10几年前的这个最基本的入门教程()中的例子全都做一遍,然后再问. 果然是大神解决方案四:想必楼主说的是通过treeview实现菜单导航吧,给你一个实例参考			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpn28Ap.html" rel="bookmark">&lpar;论坛答疑点滴&rpar;怎么给Table动态添加控件并且得到控件的值？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				动态|控件 此例子达到的效果是: 每按一次Button1,在表格Table1中添加一行(行中有2列,一列是文本框,一列是下拉框),并且当按钮第一次按下时再添加一个按钮,点击这个动态添加的按钮,输出表格中所有的控件的值. 前台: &lt;form id=&quot;Form1&quot; method=&quot;post&quot; runat=&quot;server&quot;&gt;             &lt;asp:Table id=&quot;Table1&quot; runat=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8Pe8p.html" rel="bookmark">WPF中动态添加控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 前提:在VS2008中用WPF(XAML)开打Window窗体内容:如何实现动态添加控件,比如动态添加3列,第一列是ComboBox,第二列是ComboBox,第三列是图片Button(这列你们可以不用关心,我用的是模板)我的思路是在ListView中实现,代码如下XAML的代码:&lt;ListViewGrid.Row=&quot;3&quot;Margin=&quot;0,5,0,0&quot;Name=&quot;lvSelEdit&quot;ItemContainerStyle=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvqOe5b.html" rel="bookmark">updatepanel动态添加控件触发后动态添加的控件消失</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 直接上代码前台代码&lt;%@PageLanguage=&quot;C#&quot;AutoEventWireup=&quot;true&quot;CodeFile=&quot;TestControlAdd.aspx.cs&quot;Inherits=&quot;TestControlAdd&quot;%&gt;&lt;!DOCTYPEhtmlPUBLIC&quot;-//W3C//DTDXHTML1.0Transitional//EN&quot;&quot;http://www.w3.org/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBDgDb.html" rel="bookmark">asp&period;net 页面使用updatepanel 控件让页面无刷新，无法执行下载了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.net 页面使用updatepanel 控件让页面无刷新,无法执行下载了 asp.net 页面用updatepanel 让repeater控件无刷新分页,repeater控件生成的按钮,点击无法让浏览器下载文件,怎么解决,指点一下谢谢 解决方案 在ASP.NET页面中使用SolpartMenu控件 解决方案二: 添加onclick事件用window.open打开下载链接试试..			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ3D4wb.html" rel="bookmark">gridview里的TemplateField模版怎么动态添加控件啊</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 gridview里的TemplateField模版怎么动态添加控件啊 解决方案 解决方案二:丢个Panel进去RowDataBound执行***.Controls.Add(控件)解决方案三:能给个代码嘛解决方案四:前端:&lt;tdclass=&quot;notop&quot;style=&quot;width:10%&quot;align=&quot;center&quot;&gt;&lt;%#Deal(DataBinder.Eval(Container.DataItem,&quot;Comm			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp53m7b.html" rel="bookmark">vb实现动态添加控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				VB6有一个新功能,可以动态添加控件,不用控件数组: object.Add (ProgID, name, container) 参数说明 Object 必需的.一个对象表达式,其值是&quot;应用于&quot;列表中的一个对象. ProgID 必需的.一个标识控件的字符串.大多数控件的ProgID 都可通过查看对象浏览器来决定.控件的ProgID是由控件的库和类组成的. 例如,CommandButton控件的ProgID是 VB.CommandButton.在ProgID 与对象浏览器中所显示的不一样的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myryn8p.html" rel="bookmark">如何用代码动态添加控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在资源编辑器里我们可以方便地在对话框中加入所需控件,比如文本编辑框.列表控件等.但假如我们需要在运行期间动态生成这些控件该怎么做呢?本文就是讲述用代码动态添加控件的方法,并提供示例工程. 程序运行界面如下 为了方便演示,我们先生成一个基于对话框的MFC工程,起名为My 在CMyDlg.h中做下面几个步骤: public: //加上这个变量 CEdit m_MyEdit; protected: //加上这个函数, 用来响应编辑框改变的事件 afx_msg void OnChangeEdit();			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze9B9z.html" rel="bookmark" class="title">JS教程&colon;制作颜色梯度和渐变效果</a>
					<div>
						序二(09/11/1)近来看了Dean的&quot;Convert any colour value to hex in MSIE&quot;,终于解决了根据关键字获取颜色rgb值的问题.顺便把程序也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ6BQM.html" rel="bookmark" class="title">经验与总结：个人网站发展的关键因素</a>
					<div>
						个人网站 一 .定位方面 1. 明确的目标. 明确的目标大多在做网站策划构思的时候就想过来,并且大多都有很&quot;伟大&quot;的目标. 但是这些目标是否合理,是否真的明确,需要仔细去调查,推断 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boQwXp.html" rel="bookmark" class="title">构建你的网站新闻自动发布系统之二</a>
					<div>
						(一)构建新闻数据库   分析一下构成每条新闻的元素,主要由新闻标题,新闻内容,图片地址,连接地址,新闻的发布时间组成.而在构建数据库的时候.考虑到处理需要,必需加上新闻的ID号,以便识别.再者的话, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jaoPb.html" rel="bookmark" class="title">WCF系列（三） WCF配置文件注释</a>
					<div>
						&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot; ?&gt; &lt;configuration&gt; &lt;system.S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKLROM.html" rel="bookmark" class="title">教你如何使用SQL Server来过滤数据</a>
					<div>
						关系型数据通常以规范化形式保存,就是说你应该尽可能少地重复数据:通常情况下,表与表之间仅通过各种键值实现关联.进一步地讲,规范化的含义就是:你不能在数据库中保存计算后的值,而你只能在需要的时候临时计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7nX5b.html" rel="bookmark" class="title">Oracle学习（二十二） 序列（sequence）</a>
					<div>
						当一个序列第一次被调用时,它将返回一个预定值,在以后的每一次查询调用中,序列将产生一个按 其指定的增量得到的值. 1.创建序列 语法格式如下: create sequence [schema.]seq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo771Vb.html" rel="bookmark" class="title">教你用柔边画笔营造梦幻色彩</a>
					<div>
						  首先,先要说一下后期思路,这一点很重要,一张图片十个人去修就是十个样子,每个摄影师都有自己的风格,不管是拍摄手法还是修片手法,所以一开始就需要明确自己修片的目的,或明或暗,或饱和或灰暗,或清新或复 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwRwep.html" rel="bookmark" class="title">双核cpu是什么？</a>
					<div>
						cpu是电脑的核心,而cpu上面最重要的也是cpu芯片,在我们电脑在处理数据的计算.接受存储的时候就是通过cpu上面的芯片来执行的.CPU内部拥有的核心数量在很大程度上也决定了该处理器的处理器性能,所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E5Q5M.html" rel="bookmark" class="title">线程-有几百个进程却只有几G的内存，求解释这几百个进程如何共享内存的？</a>
					<div>
						问题描述 有几百个进程却只有几G的内存,求解释这几百个进程如何共享内存的? 我感觉每个进程&quot;占的内存&quot;加起来应该大于物理内存,,怎样的内存管理和调度可以让这几百个进程看起来是一块运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l3Vob.html" rel="bookmark" class="title">js实现单一html页面两套css切换代码&lowbar;javascript技巧</a>
					<div>
						今天研究了一下JS的用setAttribute方法实现一个页面两份样式表的效果,具体方法如下: 第一步:在连接样式表的元素里定义一个id,例如 复制代码 代码如下: &lt;link href=&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAE43M.html" rel="bookmark" class="title">jsp报错 跳转-The requested resource is not available&period;</a>
					<div>
						问题描述 The requested resource is not available. 我在webcontent下面没有建01文件夹啊,这个是怎么找到的,为什么我一运行index.jsp就报这个错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQxk8z.html" rel="bookmark" class="title">&lbrack;IT&rsqb;C&sol;S自动升级程序原理</a>
					<div>
						背景 我们给几个景区做了一个C/S项目,但是由于需求的变化,或者是Bug的出现,我们不得不修改程序程序.众所周知,C/S结构的应用程序可维护性比较差,它不同于B/S结构的程序,可以随着服务器端的更新, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Qqrjp.html" rel="bookmark" class="title">Intellij idea 有和eclipse的linked resources一样的功能么</a>
					<div>
						问题描述 如题,谢谢 解决方案 你可以使用 1.右击项目 ---&gt;open module settings---&gt;Artifacts---&gt;添加一个Artifact2.在右边的Out ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2QjEb.html" rel="bookmark" class="title">cron-QuartZ Cron表达式 指定只执行一次。比如 2016年3月3日0点0分0秒 如何实现</a>
					<div>
						问题描述 QuartZ Cron表达式 指定只执行一次.比如 2016年3月3日0点0分0秒 如何实现 QuartZ Cron表达式 貌似指定不了 某一天这一辈子执行1次那种 解决方案 你只要设置了具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqwWvz.html" rel="bookmark" class="title">测试lua的效率</a>
					<div>
						   这几天粗略的测试了一下lua的效率!首先声明这个测试很有针对性,大部分是针对游戏中的使用,而绝非lua的整体性效率(这个测试我不会),lua构建的上层逻辑中,大概使用的语句不太多,for,迭代, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94NN3b.html" rel="bookmark" class="title">2014年最流行的交互式原型设计工具</a>
					<div>
						作为专业从事设计工作的设计师来说,在选择交互和原型设计工具方面他们通常有着最为宽广的视野和最为灵敏的嗅觉.而作为新型的发行和交流平台,Medium为设计师们提供了从模型到工作原型的崭新视界.在增长见地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRaNOb.html" rel="bookmark" class="title">azure里哪个api是取角色列表的？（虚机列表）</a>
					<div>
						问题描述 azure里哪个api是取角色列表的?(虚机列表) 请问一下 !! azure里哪个api是取角色列表的?(虚机列表) 谢啦!! 解决方案 Hi, 你可以通过下列步骤获得虚拟机的列表: 1) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJA42Vp.html" rel="bookmark" class="title">mingw-MinGW编译环境中由文件描述符&lpar;fd&rpar;获得windows文件句柄有什么方法</a>
					<div>
						问题描述 MinGW编译环境中由文件描述符(fd)获得windows文件句柄有什么方法 我在MinGW中打开了一个文件后把描述出输出来是3,推测MinGW中不是用的文件句柄表示open打开的文件,现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRXJOp.html" rel="bookmark" class="title">android 调用c&num;  webservice 返回datatable</a>
					<div>
						问题描述 如题,这个是返回的字符串结果anyType{schema=anyType{element=anyType{complexType=anyType{choice=anyType{element ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB8yJM.html" rel="bookmark" class="title">上海家化：董事会将尽快选聘新董事长</a>
					<div>
						中证网讯 9月18日午间时分,上海家化官方微博发表声明表示,公司董事会感谢葛文耀[微博]先生多年来为上海家化作出的杰出贡献.目前公司管理团队稳定,运营正常.公司董事会将按照上市公司治理规范的要求,尽快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNaZKM.html" rel="bookmark" class="title">马化腾2000万年薪&OpenCurlyDoubleQuote;秒杀&rdquo;跟随者</a>
					<div>
						马化腾手下创业网络游戏年薪增长率300% 这是一个英雄辈出的行业,中外亦然.那些年轻的创业者凭着一段代码一个点子就能瞬间点燃财富,创造财富.最新鲜的英雄莫过于马克·扎克伯格.国内最难以超越的巅峰莫过于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE0dmp.html" rel="bookmark" class="title">多级下拉菜单</a>
					<div>
						博士网代码 VB VB系统设置VB数字字符处理VB控制例子VB界面相关VB多媒体相关VB数据库相关VB网络相关VB文件相关VB游戏编程VB_另类其他 VC 控件控制高级编程技术打印及其它处理高级用户界 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO26Db.html" rel="bookmark" class="title">MySQL日期数据类型、时间类型使用总结&lowbar;Mysql</a>
					<div>
						MySQL 日期类型:日期格式.所占存储空间.日期范围 比较. 日期类型        存储空间       日期格式                 日期范围 ------------ ------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0qA8p.html" rel="bookmark" class="title">php分页函数完整实例代码&lowbar;php技巧</a>
					<div>
						本文分享一例php分页函数完整实例代码,使用此函数实现分页效果很不错.分享给大家供大家参考. 具体功能代码如下: &lt;?php /* * Created on 2011-07-28 * 使用方法: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6rEwM.html" rel="bookmark" class="title">who can who up-vmw安装mac os x 镜像</a>
					<div>
						问题描述 vmw安装mac os x 镜像 在vmw环境下安装mac os x 之后,自动重启,但是显示的是又重新安装,反复好多次,不知哪里出了问题,在此请教, 解决方案 http://blog.cs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenR17b.html" rel="bookmark" class="title">Gartner：CIO需关注云计算身份管理</a>
					<div>
						&quot;一谈到身份管理和认证,在&quot;地面上&quot;上看到的所有漏洞,同样也会出现在云中,&quot;Gartner公司分析师Perry Carpenter说道.但是,云还引进了其自身的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen9y0b.html" rel="bookmark" class="title">Veeam认为混合云时代，快速的恢复能力是实现数据可用性的重要因素</a>
					<div>
						从物理机到虚拟机,从私有云到混合云,企业对于数据保护的方式一直在进化,但是追求业务连续性这个核心竞争力的目标却没有变.而因为停机和数据丢失导致的业务中断带来的损失也越来越大.Veeam近日发布2017 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GdVxM.html" rel="bookmark" class="title">《雷电2012：金属咆哮》iOS版：华丽刺激</a>
					<div>
						&lt;雷电2012:金属咆哮&gt;是一款很特别的经典飞行射击游戏,相信在安卓系统玩过这款游戏的玩家一定不会陌生.游戏开发商KooGame在传统的飞行射击游戏概念上加入了新的强化系统,大大加强了游戏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWAgap.html" rel="bookmark" class="title">大数据处理的一些总结和应用（有关舆情监控）</a>
					<div>
						    说到大数据处理可能大家都不会陌生,这是近年来非常火热的话题,各行各业都想借助大数据为自己助力,有了这个工具,就好像在飞机上看农田一般清晰,一目了然,也也就是业内人士常说的大数据提供了一个--- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWBJ8p.html" rel="bookmark" class="title">GTC17&colon; 浪潮将发布2U 8GPU人工智能超算</a>
					<div>
						浪潮将在2017 GPU技术大会(GTC2017)发布一款全新的高密度人工智能超算,希望以此加速人工智能和科学工程计算等领域的研究应用效率. GPU17大会现场 浪潮将在5月10日在其展台发布这款新型 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.036 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
